Subject: Set default strategy options for merge/rebase

From: Yuri D'Elia <[email-masked]>
Date: Thu, 17 Oct 2019 20:48:30 +0200

Is it (or would it be) possible to set the default strategy and strategy
options as provided by merge/rebase ``-s`` and ``-X`` in gitconfig?

I found myself comparing several conflicts using recursive's -Xpatience,
and in some cases the difference is quite staggering, changing from a
jumbled mess to a compact and readable diff.

I'd love to be able to set it as a default to play around more (without
aliasing, that is).

It's also unclear to me from the documentation of git merge whether
-Xdiff-algorithm=? is an exception to the default diff algorithm
(diff.algorithm) or if that's completely independent setting meaning
that merge always ignores diff.algorithm to begin with.

And also, is -Xpatience just a shortcut to -Xdiff-algorithm=patience?

Thanks!